Skip to content
MothershipDevelopers

API referenceShipments

Retrieve a shipment

Returns up-to-date details for the shipment with the given shipment ID.

GET/shipments/{shipmentId}
Environment
https://sandbox.api.mothership.com/beta
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/shipments/MS5016101' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
Reads your token from $MOTHERSHIP_API_TOKEN
Response
{
: {
: "MS5016101",
: "2019-03-19T17:03:24.542Z",
: "https://dashboard.mothership.com/track/MS5016101",
: 79,
: "2019-03-19T17:15:55.000Z",
: "2019-03-20T05:00:55.000Z",
: "DriverAllocated",
: [
{
: 2,
: "Pallet",
: 50,
: 48,
: 42,
: 46,
: "T-shirts"
}
],
: {
: "ChIJywjU6WG_woAR3NrWwrEH_3M",
: "Griffith Observatory",
: "2800 East Observatory Road",
: "Los Angeles",
: "CA",
: "90027",
: "America/Los_Angeles",
: [
"liftgate"
],
: "+15555555555",
: "1000",
: "2200",
: [
"logistics@mothership.com"
]
},
: {
: "ChIJsXqcyjy5woARNz6sOh0ZmwA",
: "LACMA",
: "5905 Wilshire Boulevard",
: "Los Angeles",
: "CA",
: "90036",
: "America/Los_Angeles",
: [
"liftgate",
"residential"
],
: "+15555555555",
: "1000",
: "2200",
: []
}
}
}

Hover a key to see what it means. Click it to jump to the field.

For status history rather than the current status, use Track a shipment. We recommend polling this endpoint no more than once every 5 minutes, or waiting for the shipment.status.updated webhook.

Authorization: Bearer <token>

Your sandbox API token. See Authentication.

  • shipmentIdstringRequired

    ID of the shipment to fetch details for

    • dataobjectRequired
      • idstringRequired

        ID of the created shipment

      • createdAtstring<date-time>Required

        When the shipment was created, as an ISO 8601 date-time.

      • pricenumberRequired

        Price paid, in USD, for the shipment

      • earliestPickupDatestring<date-time>Required

        Earliest pickup time for this shipment, as an ISO 8601 date-time.

      • estimatedDeliveryDatestring<date-time>Required

        Estimated latest delivery time for this shipment, as an ISO 8601 date-time.

      • freightarray of objectsRequired

        The freight, one array element per line item.

        min items 1
      • pickupobjectRequired

        Pickup location of the shipment

      • deliveryobjectRequired

        Delivery location of the shipment

      • statusstring

        Current status of the shipment

      • trackingUrlstring

        Tracking URL for the shipment.

      • estimatedLocationobject

        The shipment's last estimated location.

      • partnerobject

        The shipment's partner carrier.

What's next